Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

ISC BIND 9.x < 9.9.9-P3 / 9.9.9-S5 / 9.10.4-P3 / 9.11.0-P1 DoS

High

Synopsis

The remote DNS server may be affected by a Denial of Service (DoS) attack vector.

Description

Versions of ISC BIND 9.x prior to 9.9.9-P3, 9.9.9-S5, 9.10.4-P3 and 9.11.0-P1 are unpatched for a flaw in 'buffer.c' that is triggered when building responses to specially crafted requests. This may allow a remote attacker to trigger an assertion failure and cause a crash.

Solution

Upgrade ISC BIND to version 9.11.0-P1 or later. If version 9.11.x cannot be obtained, versions 9.10.4-P3, 9.9.9-S5 and 9.9.9-P3 are also patched for these issues.